 
"""GreetingCard - a web-based custom greeting card system"""
  
__version__='$Revision: 0.0.1 $'[11:-2]  
  
  
from ImageFile import ImageFile  
from Globals import HTMLFile  
import GreetingCard, GreetingCardFile  
  
  
classes=('GreetingCard.GreetingCardSite',)  
  
meta_types=({'name':'GreetingCard Site',  
             'action':'manage_addGreetingCardForm'  
            },  
           )  
  
methods={'manage_addGreetingCardForm':  
          HTMLFile('addGreetingCardForm', globals()),  
         'manage_addGreetingCardSite':  
          GreetingCard.manage_addGreetingCardSite,  
         'mailhost_list': GreetingCard.GreetingCardSite.mailhost_list,  
        }  
  
_greetingcard_img = ImageFile('greetingcard.gif',globals()) 
_card_img = ImageFile('card.gif',globals()) 
_recipient_img = ImageFile('recipient.gif',globals()) 
_greetingcardfile_img = ImageFile('greetingcardfile.gif',globals()) 


_greetingcard_img.content_type = 'image/gif' 
_card_img.content_type = 'image/gif' 
_recipient_img.content_type = 'image/gif' 
_greetingcardfile_img.content_type = 'image/gif' 
  
  
misc_={'greetingcard_img':  _greetingcard_img,  
       'card_img':    _card_img,   
       'recipient_img':    _recipient_img,  
       'greetingcardfile_img': _greetingcardfile_img,   
      }  
  
  
__ac_permissions__=(('Add GreetingCard Sites',  
                     ('manage_addGreetingCardSite',   
                      'manage_addGreetingCardForm'),  
                    ),  
                    ('Add card', ()),  
                    ('Manage cards', ()),  
                   )  
  
__module_aliases__=(  
     ('Products.Discussion.Discussion', GreetingCard),  
     ('Products.Discussion.FileObject', GreetingCardFile),  
    )